#if !defined(AFX_CRCFILECHECK_H__F58D13FF_F6F2_476C_B8F0_7B9E9357CF48__INCLUDED_)
#define AFX_CRCFILECHECK_H__F58D13FF_F6F2_476C_B8F0_7B9E9357CF48__INCLUDED_


#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include <Imagehlp.h>
#pragma comment(lib,"Imagehlp.lib")



__inline DWORD CRCFileCheck()
{
	DWORD dwRetErrorCode;
	#ifdef NDEBUG
	{//    
		LPTSTR lpszFullPath;
		if ((lpszFullPath=(LPTSTR)HeapAlloc(GetProcessHeap(),HEAP_ZERO_MEMORY,(32768*sizeof(TCHAR)))))
		{
			DWORD dwFileChecksum=0,dwRealChecksum=0;

			if (GetModuleFileName(GetModuleHandle(NULL),lpszFullPath,32768))
			{//   
				if (MapFileAndCheckSum(lpszFullPath,&dwFileChecksum,&dwRealChecksum)==CHECKSUM_SUCCESS)
				{//     
					if (dwFileChecksum==dwRealChecksum)
					{
						dwRetErrorCode=NO_ERROR;
					}else{
						dwRetErrorCode=ERROR_CRC;
					}
				}else{
					dwRetErrorCode=ERROR_CRC;
				}
			}else{
				dwRetErrorCode=GetLastError();
			}
			HeapFree(GetProcessHeap(),0,lpszFullPath);
		}else{
			dwRetErrorCode=GetLastError();
		}
	}
	#else
		dwRetErrorCode=NO_ERROR;
	#endif //_DEBUG//*/
return(dwRetErrorCode);
}




#endif // AFX_CRCFILECHECK_H__F58D13FF_F6F2_476C_B8F0_7B9E9357CF48__INCLUDED_