#if !defined(AFX_REPORTERROR__H__INCLUDED_)
#define AFX_REPORTERROR__H__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef MB_SERVICE_NOTIFICATION
	#define MB_SERVICE_NOTIFICATION 0
#endif

#include <RasError.h>


__inline void ReportError(DWORD dwErrorCode)
{
	HWND hWnd=GetActiveWindow();
	TCHAR szErrText[1048],szErrDescription[1024]={0},szAppPath[MAX_PATH];


	GetModuleFileName(NULL,szAppPath,MAX_PATH);

#ifdef RasGetErrorString
	if (dwErrorCode>RASBASE && dwErrorCode<RASBASEEND)
	{
		RasGetErrorString(dwErrorCode,szErrDescription,1000);
#else
	if (FALSE){
#endif
	}else{
		szErrDescription[FormatMessage(FORMAT_MESSAGE_FROM_SYSTEM,NULL,dwErrorCode,0,szErrDescription,1000,NULL)]=0;
	}
	wsprintf(szErrText,TEXT("ERROR %lu: %s"),dwErrorCode,szErrDescription);

	MessageBox(hWnd,szErrText,szAppPath,(MB_OK | ((hWnd==NULL) ? MB_SERVICE_NOTIFICATION:0)));
}



#endif // !defined(AFX_REPORTERROR__H__INCLUDED_)


